%define majorversion 3
%define minorversion 0
%define microversion 0
%define svnver 0

Summary: Word processing program
Name: abiword
Version: %{majorversion}.%{minorversion}.%{microversion}
Release: 5%{?dist}
Epoch: 1
Group: Applications/Editors
License: GPLv2+
URL: http://www.abisource.com/

Source0: http://abisource.com/downloads/abiword/%{version}/source/abiword-%{version}.tar.gz
Source1: http://abisource.com/downloads/abiword/%{version}/source/abiword-docs-%{version}.tar.gz
Source11: abiword.mime
Source12: abiword.keys
Source13: abiword.xml
Patch0: abiword-2.6.0-windowshelppaths.patch
Patch1: abiword-2.8.3-desktop.patch
Patch2: abiword-2.6.0-boolean.patch
Patch3: abiword-3.0.0-fixintrospection.patch
Patch4: abiword-3.0.0-fix-redraw.patch

BuildRequires: aiksaurus-devel
BuildRequires: aiksaurus-gtk-devel
BuildRequires: asio-devel
BuildRequires: bison
BuildRequires: boost-devel
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: dbus-glib-devel
BuildRequires: desktop-file-utils
BuildRequires: enchant-devel
BuildRequires: flex
BuildRequires: fribidi-devel
BuildRequires: gobject-introspection-devel
BuildRequires: goffice-devel
BuildRequires: gtk3-devel
BuildRequires: gtkmathview-devel
BuildRequires: libgsf-devel
BuildRequires: libpng-devel
BuildRequires: librsvg2-devel
BuildRequires: libsoup-devel
BuildRequires: libwmf-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: libxslt-devel
BuildRequires: link-grammar-devel
BuildRequires: loudmouth-devel
BuildRequires: ots-devel
BuildRequires: poppler-devel
BuildRequires: popt-devel
BuildRequires: pygobject3
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: readline-devel
BuildRequires: t1lib-devel
BuildRequires: telepathy-glib-devel
BuildRequires: wv-devel
BuildRequires: zlib-devel

Requires: libabiword = %{epoch}:%{version}-%{release}

%description
AbiWord is a cross-platform Open Source word processor. It is full-featured,
while still remaining lean.


%package -n libabiword
Summary: Library for developing applications based on AbiWord's core
Group: System Environment/Libraries

%description -n libabiword
Library for developing applications based on AbiWord's core.


%package -n libabiword-devel
Summary: Files for developing with libabiword
Group: Development/Libraries
Requires: libabiword = %{epoch}:%{version}-%{release}

%description -n libabiword-devel
Includes and definitions for developing with libabiword.


%package -n python-abiword
Summary: Python bindings for developing with libabiword
Group: Development/Libraries
Requires: libabiword = %{epoch}:%{version}-%{release}
Obsoletes: pyabiword <= 0.8.0
Provides: pyabiword > 0.8.0

%description -n python-abiword
Python bindings for developing with libabiword


%prep
# setup abiword
%setup -q

# patch abiword
%patch1 -p1 -b .desktop
%patch2 -p1 -b .boolean
%patch3 -p1 -b .introspection
%patch4 -p1 -b .redraw

# setup abiword documentation
%setup -q -T -b 1 -n abiword-docs-%{version}
%patch0 -p1 -b .windowshelppaths

%build
# build libabiword and abiword
cd $RPM_BUILD_DIR/abiword-%{version}
%configure --enable-plugins --enable-clipart --enable-templates --enable-introspection --disable-collab-backend-service --disable-collab-backend-tcp
# Build non SMP due to issues with gobject-introspection builds
# make %{?_smp_mflags} V=1
make V=1

# build the documentation
cd $RPM_BUILD_DIR/abiword-docs-%{version}
ABI_DOC_PROG=$(pwd)/../%{name}-%{version}/src/abiword ./make-html.sh

%install
cd $RPM_BUILD_DIR/abiword-%{version}
make install DESTDIR=%{buildroot}

# install the documentation
cd $RPM_BUILD_DIR/abiword-docs-%{version}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{majorversion}.%{minorversion}/AbiWord/help
cp -rp help/* $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{majorversion}.%{minorversion}/AbiWord/help/
# some of the help dirs have bad perms (#109261)
find $RPM_BUILD_ROOT/%{_datadir}/%{name}-%{majorversion}.%{minorversion}/AbiWord/help/ -type d -exec chmod -c o+rx {} \;

install -p -m 0644 -D %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/mime-info/abiword.mime
install -p -m 0644 -D %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/mime-info/abiword.keys
install -p -m 0644 -D %{SOURCE13} $RPM_BUILD_ROOT%{_datadir}/mime/packages/abiword.xml

# Remove libtool archives and static libs
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

%post
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :
/usr/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

if [ $1 -eq 0 ] ; then
    /usr/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%{_bindir}/abiword
%{_datadir}/applications/*.desktop
%{_datadir}/mime-info/abiword.mime
%{_datadir}/mime-info/abiword.keys
%{_datadir}/mime/packages/abiword.xml
%{_datadir}/icons/hicolor/48x48/apps/abiword.png
# Abiword help
%{_datadir}/%{name}-%{majorversion}.%{minorversion}/AbiWord
%{_mandir}/man1/abiword.1.gz

%files -n libabiword
%doc $RPM_BUILD_DIR/%{name}-%{version}/COPYING $RPM_BUILD_DIR/%{name}-%{version}/COPYRIGHT.TXT
%{_libdir}/libabiword-%{majorversion}.%{minorversion}.so
%{_libdir}/%{name}-%{majorversion}.%{minorversion}
%{_libdir}/girepository-1.0/Abi-3.0.typelib
%{_datadir}/%{name}-%{majorversion}.%{minorversion}
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.AbiCollab.service
%{_datadir}/telepathy/clients/AbiCollab.client
# Abiword help - included in GUI app
%exclude %{_datadir}/%{name}-%{majorversion}.%{minorversion}/AbiWord

%files -n libabiword-devel
%{_includedir}/%{name}-%{majorversion}.%{minorversion}
%{_libdir}/pkgconfig/%{name}-%{majorversion}.%{minorversion}.pc
%{_datadir}/gir-1.0/Abi-3.0.gir

%files -n python-abiword
%{python_sitearch}/*

%changelog
* Sat Feb 22 2014 Peter Robinson <pbrobinson@fedoraproject.org> 1:3.0.0-5
- Add patch to fix redraw issues of ruler

* Mon Nov  4 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1:3.0.0-4
- Add patch to fix libabiword_init annotation

* Fri Oct 25 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1:3.0.0-3
- Update icon cache on install/update/erase

* Wed Oct 16 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1:3.0.0-2
- Enable gobject-introspection and python bindings

* Mon Oct 14 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1:3.0.0-1
- Update to 3.0.0 stable

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.8.6-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 1:2.8.6-23
- Rebuild for boost 1.54.0

* Sun Feb 17 2013 Christoph Wickert <cwickert@fedoraproject.org> - 1:2.8.6-22
- Make desktop file --vendor conditional
- Remove obsolete category 'Applications" from desktop file

* Sat Feb 09 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 1:2.8.6-21
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines
- remove obsolete and unapplied boolean patch

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 1:2.8.6-20
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 1:2.8.6-19
- rebuild against new libjpeg

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.8.6-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 27 2012 Tom Callaway <spot@fedoraproject.org> - 1:2.8.6-17
- fix build against modern glib, libpng

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.8.6-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1:2.8.6-15
- Rebuild for new libpng

* Tue Aug  9 2011 Peter Robinson <pbrobinson@gmail.com> - 1:2.8.6-14
- rebuild with link-grammar now its back

* Tue Aug  2 2011 Peter Robinson <pbrobinson@gmail.com> - 1:2.8.6-13
- rebuild for new asio
- drop obsolete OLPC and ARM includes

* Tue Aug 02 2011 Marc Maurer <uwog@abisource.com> - 1:2.8.6-12
- Fix a typo in the previous patch

* Tue Aug 02 2011 Marc Maurer <uwog@abisource.com> - 1:2.8.6-11
- Fix BZ 716005: --no-undefined is a linker flag, not a g++ flag

* Tue Aug 02 2011 Marc Maurer <uwog@abisource.com> - 1:2.8.6-10
- Mixed up the microversion and the release

* Tue Aug 02 2011 Marc Maurer <uwog@abisource.com> - 1:2.8.6-9
- Remove link-grammar from the BR and R until it is revived

* Thu May 05 2011 Chris Tyler <chris@tylers.info> - 1:2.8.6-8
- Excluded asio-devel from ARM builds

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.8.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 30 2010 Peter Robinson <pbrobinson@gmail.com> - 1:2.8.6-6
- Rebuild for library soname bumps

* Wed Dec  8 2010 Caolán McNamara <caolanm@redhat.com> - 1:2.8.6-5
- Rebuild for libwpd 0.9

* Wed Dec  8 2010 Peter Robinson <pbrobinson@gmail.com> - 1:2.8.6-4
- Rebuild for library soname bumps

* Wed Sep 29 2010 jkeating - 1:2.8.6-3
- Rebuilt for gcc bug 634757

* Wed Sep 22 2010 Peter Robinson <pbrobinson@gmail.com> - 1:2.8.6-2
- Move abiword gui help from the library to the app. Fixes 578596

* Sat Aug 14 2010 Marc Maurer <uwog@abisource.com> - 1:2.8.6-1
- New upstream release

* Sat Jun 05 2010 Marc Maurer <uwog@abisource.com> - 1:2.8.5-1
- New upstream release

* Fri Apr 16 2010 Marc Maurer <uwog@abisource.com> - 1:2.8.4-1
- New upstream release

* Thu Apr 08 2010 Marc Maurer <uwog@abisource.com> - 1:2.8.3-2
- Update .desktop patch

* Thu Apr 08 2010 Marc Maurer <uwog@abisource.com> - 1:2.8.3-1
- New upstream release

* Tue Mar 02 2010 Marc Maurer <uwog@abisource.com> - 1:2.8.2-1
- New upstream release
- Package the man page

* Wed Dec 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> -1:2.8.1-4
- Rebuild again since the wv soname bump was accidental
- Remove superflous BuildRoot definitions and removals

* Mon Dec 21 2009 Peter Robinson <pbrobinson@gmail.com> - 1:2.8.1-3
- Rebuild against new libwv

* Sun Nov 01 2009 Marc Maurer <uwog@abisource.com> - 1:2.8.1-2
- Rebuild

* Sun Nov 01 2009 Marc Maurer <uwog@abisource.com> - 1:2.8.1-1
- New upstream release
